Loading...
Searching...
No Matches
casacore::FitsField< FitsBit > Class Reference
fits package (libcasa_fits) » FITS_module

helper class More...

`#include <hdu.h>`

## Public Member Functions

| FitsField (int n=1)
| ~FitsField ()
FitsField< FitsBit > & | operator() ()
FitsField< FitsBit > & | operator() (unsigned i)
FitsField< FitsBit > & | operator= (unsigned i)
int | fitsfieldsize () const
int | localfieldsize () const
| operator int ()
void * | data ()
void | show (std::ostream &)
Public Member Functions inherited from casacore::FitsBase
| FitsBase (const FITS::ValueType &t, int n)
virtual | ~FitsBase ()
unsigned int | nelements () const
virtual int | dims () const
virtual int | dim (int n) const
virtual int * | vdim ()
FITS::ValueType | fieldtype () const
FitsBase & | operator= (FitsBase &)=delete

## Protected Member Functions

void | setaddr (void **addr)

## Protected Attributes

FitsBit ** | field
unsigned char | mask
int | byte_offset
Protected Attributes inherited from casacore::FitsBase
int | no_elements
FITS::ValueType | data_type

## Additional Inherited Members

Static Public Member Functions inherited from casacore::FitsBase
static FitsBase * | make (const FITS::ValueType &, int=1)
static FitsBase * | make (const FITS::ValueType &, int, int *)
static FitsBase * | make (FitsBase &)

## Detailed Description

helper class

### Template Type Argument Requirements

- typedef FitsField<FitsLogical> LogicalFitsField;
- typedef FitsField<FitsBit> BitFitsField;
- typedef FitsField<char> CharFitsField;
- typedef FitsField<unsigned char> ByteFitsField;
- typedef FitsField<short> ShortFitsField;
- typedef FitsField<FitsLong> LongFitsField;
- typedef FitsField<float> FloatFitsField;
- typedef FitsField<double> DoubleFitsField;
- typedef FitsField<Complex> ComplexFitsField;
- typedef FitsField<IComplex> IComplexFitsField;
- typedef FitsField<DComplex> DComplexFitsField;
- typedef FitsField<FitsVADesc> VADescFitsField;

Caution:
Bit fields require special treatment

Definition at line 923 of file hdu.h.

## Constructor & Destructor Documentation

## FitsField()

casacore::FitsField< FitsBit >::FitsField | ( | int | n = 1 | ) |

Referenced by casacore::FitsArray< FitsBit >::operator()(), casacore::FitsArray< FitsBit >::operator()(), casacore::FitsArray< FitsBit >::operator()(), casacore::FitsArray< FitsBit >::operator()(), operator()(), operator()(), and operator=().

## ~FitsField()

casacore::FitsField< FitsBit >::~FitsField | ( |  | ) |

## Member Function Documentation

## data()

void * casacore::FitsField< FitsBit >::data | ( |  | ) |

virtual

Implements casacore::FitsBase.

## fitsfieldsize()

int casacore::FitsField< FitsBit >::fitsfieldsize | ( |  | ) | const

virtual

Implements casacore::FitsBase.

## localfieldsize()

int casacore::FitsField< FitsBit >::localfieldsize | ( |  | ) | const

virtual

Implements casacore::FitsBase.

## operator int()

casacore::FitsField< FitsBit >::operator int | ( |  | ) |

inline

Definition at line 942 of file hdu.h.

References byte_offset, field, and mask.

## operator()() [1/2]

FitsField< FitsBit > & casacore::FitsField< FitsBit >::operator() | ( |  | ) |

inline

Definition at line 928 of file hdu.h.

References byte_offset, FitsField(), and mask.

## operator()() [2/2]

FitsField< FitsBit > & casacore::FitsField< FitsBit >::operator() | ( | unsigned | i | ) |

inline

Definition at line 931 of file hdu.h.

References byte_offset, FitsField(), and mask.

## operator=()

FitsField< FitsBit > & casacore::FitsField< FitsBit >::operator= | ( | unsigned | i | ) |

inline

Definition at line 934 of file hdu.h.

References byte_offset, FitsField(), and mask.

## setaddr()

void casacore::FitsField< FitsBit >::setaddr | ( | void ** | addr | ) |

protected virtual

Implements casacore::FitsBase.

## show()

void casacore::FitsField< FitsBit >::show | ( | std::ostream & |  | ) |

virtual

Implements casacore::FitsBase.

## Member Data Documentation

## byte_offset

int casacore::FitsField< FitsBit >::byte_offset

protected

Definition at line 951 of file hdu.h.

Referenced by operator int(), operator()(), operator()(), and operator=().

## field

FitsBit** casacore::FitsField< FitsBit >::field

protected

Definition at line 949 of file hdu.h.

Referenced by operator int().

## mask

unsigned char casacore::FitsField< FitsBit >::mask

protected

Definition at line 950 of file hdu.h.

Referenced by operator int(), operator()(), operator()(), and operator=().

The documentation for this class was generated from the following file:

- fits/FITS/hdu.h